#
# spec file for package libbeecrypt6
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           libbeecrypt6
Summary:        An open source cryptography library
License:        LGPL-2.1-or-later
Group:          Development/Libraries/C and C++
Version:        4.1.2
Release:        29.4
BuildRequires:  libtool
Source:         beecrypt-%{version}.tar.bz2
Patch0:         beecrypt-4.1.2.diff
Patch1:         beecrypt-4.1.2-build.diff
Patch2:         beecrypt-4.1.2-fix_headers.diff
Patch3:         beecrypt-libdir.diff
URL:            http://sourceforge.net/projects/beecrypt
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
BeeCrypt is an ongoing project to provide a strong and fast
cryptography toolkit. Includes entropy sources, random generators,
block ciphers, hash functions, message authentication codes,
multiprecision integer routines, and public key primitives.

%package -n libbeecrypt-devel
Summary:        An open source cryptography library
Group:          Development/Libraries/C and C++
Requires:       libbeecrypt6 = %{version}

%description -n libbeecrypt-devel
BeeCrypt is an ongoing project to provide a strong and fast
cryptography toolkit. Includes entropy sources, random generators,
block ciphers, hash functions, message authentication codes,
multiprecision integer routines, and public key primitives.

%prep
%setup -q -n beecrypt-%{version}
%patch -P 0 -p1
%patch -P 1 -p1
%patch -P 2 -p1
%patch -P 3 -p1

%build
./autogen.sh
export CFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing -ffunction-sections"
export LDFLAGS="-Wl,-Bsymbolic-functions -ffunction-sections"
%configure --without-cplusplus --without-java --without-python --disable-static
make %{?_smp_mflags}

%install
make DESTDIR="$RPM_BUILD_ROOT" install
rm -f $RPM_BUILD_ROOT%{_libdir}/libbeecrypt.la

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS BUGS CONTRIBUTORS ChangeLog NEWS README
%license COPYING COPYING.LIB
%{_libdir}/libbeecrypt.so.6*

%files -n libbeecrypt-devel
%defattr(644,root,root,755)
/usr/include/beecrypt
%{_libdir}/libbeecrypt.so

%changelog
* Thu Feb 29 2024 pgajdos@suse.com
- Use %%patch -P N instead of deprecated %%patchN.
* Thu Mar  5 2020 Andreas Schwab <schwab@suse.de>
- Don't package static archive
- Use %%license
* Sat Jan 12 2013 coolo@suse.com
- remove suse_update_config
* Sun Nov 13 2011 jengelh@medozas.de
- Remove redundant/unwanted tags/section (cf. specfile guidelines)
* Sun Nov 13 2011 coolo@suse.com
- add libtool as explicit buildrequire to avoid implicit dependency from prjconf
* Thu Feb 11 2010 jengelh@medozas.de
- actually put libbeecrypt.so into libdir rather than libaltdir
* Wed Feb 10 2010 jengelh@medozas.de
- correctly have lib64 passed to configure
- use %%_smp_mflags
* Mon Apr  7 2008 jblunck@suse.de
- Initial package
- Fixed the beecrypt headers
